Bug 221093 - crashes with SIGABRT
crashes with SIGABRT
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pygame (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-01 13:13 EST by Pierre Ossman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 16:29:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2007-01-01 13:13:21 EST
When running freevo on rawhide, it keeps crashing inside pygame.

Problem first appeared somewhere around the python 2.5 upgrade.

I haven't established what python code is triggering it, but here is the backtrace:

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208498496 (LWP 3245)]
0x00ebd402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00ebd402 in __kernel_vsyscall ()
#1  0x45f61c70 in raise () from /lib/libc.so.6
#2  0x45f634c1 in abort () from /lib/libc.so.6
#3  0x45f9729b in __libc_message () from /lib/libc.so.6
#4  0x45f9effd in _int_free () from /lib/libc.so.6
#5  0x45fa2650 in free () from /lib/libc.so.6
#6  0x02f92ac4 in Image_PyObject__dealloc (self=0xb4d3eba8) at src/image.c:155
#7  0x46901529 in insertdict (mp=0xb79ee0b4, key=0xb7abf8e0, hash=314422576, 
    value=0xb4d3ec80) at Objects/dictobject.c:394
#8  0x46903464 in PyDict_SetItem (op=0xb79ee0b4, key=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/dictobject.c:619
#9  0x469067e8 in PyObject_GenericSetAttr (obj=0xb796bcec, name=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/object.c:1427
#10 0x46906e9b in PyObject_SetAttr (v=0xb796bcec, name=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/object.c:1183
#11 0x4694c602 in PyEval_EvalFrameEx (f=0x8fdf094, throwflag=0)
    at Python/ceval.c:1784
#12 0x46951d2f in PyEval_EvalFrameEx (f=0x8b9c54c, throwflag=0)
    at Python/ceval.c:3652
#13 0x46952b7f in PyEval_EvalCodeEx (co=0xb7a87cc8, globals=0xb7a891c4, 
    locals=0x0, args=0x8fdcebc, argcount=2, kws=0x8fdcec4, kwcount=0, 
    defs=0xb7988df8, defcount=1, closure=0x0) at Python/ceval.c:2833
#14 0x46950d79 in PyEval_EvalFrameEx (f=0x8fdcd6c, throwflag=0)
    at Python/ceval.c:3662
#15 0x46952b7f in PyEval_EvalCodeEx (co=0xb7a87d10, globals=0xb7a891c4, 
    locals=0x0, args=0x8fd5c14, argcount=1, kws=0x8fd5c18, kwcount=0, 
    defs=0xb7988798, defcount=2, closure=0x0) at Python/ceval.c:2833
#16 0x46950d79 in PyEval_EvalFrameEx (f=0x8fd5abc, throwflag=0)
    at Python/ceval.c:3662
#17 0x46951d2f in PyEval_EvalFrameEx (f=0x8fd592c, throwflag=0)
    at Python/ceval.c:3652
#18 0x46951d2f in PyEval_EvalFrameEx (f=0x8fd38cc, throwflag=0)
    at Python/ceval.c:3652
#19 0x46952b7f in PyEval_EvalCodeEx (co=0xb799dcc8, globals=0xb799c714, 
    locals=0x0, args=0x8ca2a8c, argcount=1, kws=0x8ca2a90, kwcount=1, 
    defs=0xb79a1838, defcount=1, closure=0x0) at Python/ceval.c:2833
#20 0x46950d79 in PyEval_EvalFrameEx (f=0x8ca2904, throwflag=0)
    at Python/ceval.c:3662
#21 0x46952b7f in PyEval_EvalCodeEx (co=0xb4cc24a0, globals=0xb4ce535c, 
    locals=0x0, args=0x8c74cc8, argcount=1, kws=0x8c74ccc, kwcount=2, 
    defs=0xb797e998, defcount=2, closure=0x0) at Python/ceval.c:2833
#22 0x46950d79 in PyEval_EvalFrameEx (f=0x8c74b7c, throwflag=0)
    at Python/ceval.c:3662
#23 0x46952b7f in PyEval_EvalCodeEx (co=0xb4cc2188, globals=0xb4ce535c, 
    locals=0x0, args=0x8c54b30, argcount=1, kws=0x8c54b34, kwcount=2, 
    defs=0xb797e9d8, defcount=2, closure=0x0) at Python/ceval.c:2833
#24 0x46950d79 in PyEval_EvalFrameEx (f=0x8c549ec, throwflag=0)
    at Python/ceval.c:3662
#25 0x46952b7f in PyEval_EvalCodeEx (co=0xb4c95f50, globals=0xb4ce535c, 
    locals=0x0, args=0x8c497d4, argcount=1, kws=0x8c497d8, kwcount=2, 
    defs=0xb797e898, defcount=2, closure=0x0) at Python/ceval.c:2833
#26 0x46950d79 in PyEval_EvalFrameEx (f=0x8c4966c, throwflag=0)
    at Python/ceval.c:3662
#27 0x46951d2f in PyEval_EvalFrameEx (f=0x8c96aac, throwflag=0)
    at Python/ceval.c:3652
#28 0x46951d2f in PyEval_EvalFrameEx (f=0x8cab244, throwflag=0)
    at Python/ceval.c:3652
#29 0x46951d2f in PyEval_EvalFrameEx (f=0x89fca94, throwflag=0)
    at Python/ceval.c:3652
#30 0x46952b7f in PyEval_EvalCodeEx (co=0xb7f170b0, globals=0xb7f55a44, 
    locals=0xb7f55a44, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2833
#31 0x46952c03 in PyEval_EvalCode (co=0xb7f170b0, globals=0xb7f55a44, 
    locals=0xb7f55a44) at Python/ceval.c:494
#32 0x4696c496 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7f55a44, locals=0xb7f55a44, 
    flags=0xbf833b38, arena=0x89dc240) at Python/pythonrun.c:1264
#33 0x4696c54e in PyRun_FileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", start=257, 
    globals=0xb7f55a44, locals=0xb7f55a44, closeit=1, flags=0xbf833b38)
    at Python/pythonrun.c:1250
#34 0x4696dc08 in PyRun_SimpleFileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", closeit=1, 
    flags=0xbf833b38) at Python/pythonrun.c:870
#35 0x4696e36a in PyRun_AnyFileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", closeit=1, 
    flags=0xbf833b38) at Python/pythonrun.c:689
#36 0x46977dfd in Py_Main (argc=1, argv=0xbf833c04) at Modules/main.c:496
#37 0x08048582 in main (argc=Cannot access memory at address 0xcad
) at Modules/python.c:23
(gdb) bt full
#0  0x00ebd402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x45f61c70 in raise () from /lib/libc.so.6
No symbol table info available.
#2  0x45f634c1 in abort () from /lib/libc.so.6
No symbol table info available.
#3  0x45f9729b in __libc_message () from /lib/libc.so.6
No symbol table info available.
#4  0x45f9effd in _int_free () from /lib/libc.so.6
No symbol table info available.
#5  0x45fa2650 in free () from /lib/libc.so.6
No symbol table info available.
#6  0x02f92ac4 in Image_PyObject__dealloc (self=0xb4d3eba8) at src/image.c:155
No locals.
#7  0x46901529 in insertdict (mp=0xb79ee0b4, key=0xb7abf8e0, hash=314422576, 
    value=0xb4d3ec80) at Objects/dictobject.c:394
        ep = (dictentry *) 0xb79ee0d0
        __PRETTY_FUNCTION__ = "insertdict"
#8  0x46903464 in PyDict_SetItem (op=0xb79ee0b4, key=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/dictobject.c:619
        mp = (dictobject *) 0x0
        hash = 3245
        n_used = 3
        __PRETTY_FUNCTION__ = "PyDict_SetItem"
#9  0x469067e8 in PyObject_GenericSetAttr (obj=0xb796bcec, name=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/object.c:1427
        dict = (PyObject *) 0x0
        tp = (PyTypeObject *) 0x8b402b4
        descr = (PyObject *) 0x0
        f = (descrsetfunc) 0
        dictptr = (PyObject **) 0xb796bcf4
        res = <value optimized out>
#10 0x46906e9b in PyObject_SetAttr (v=0xb796bcec, name=0xb7abf8e0, 
    value=0xb4d3ec80) at Objects/object.c:1183
        tp = (PyTypeObject *) 0x8b402b4
        err = 1183870443
#11 0x4694c602 in PyEval_EvalFrameEx (f=0x8fdf094, throwflag=0)
    at Python/ceval.c:1784
        func = (PyObject *) 0xbf831e44
        na = 0
        nk = -1081926056
        n = <value optimized out>
        pfunc = (PyObject **) 0x4691886e
        sp = (PyObject **) 0x8fdf1dc
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb7aa03cb "|"
        opcode = <value optimized out>
        oparg = 3
        why = 1184725760
        err = 0
        x = <value optimized out>
        v = (PyObject *) 0xb796bcec
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8fdf1cc
        freevars = (PyObject **) 0x8fdf1dc
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7ac04a0
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb7aa037c "|\001"
        names = (PyObject *) 0xb7ac10ec
        consts = (PyObject *) 0xb7ab5e6c
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#12 0x46951d2f in PyEval_EvalFrameEx (f=0x8b9c54c, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8fdf094
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8b638ec "\001n\001"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 1174945780
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8b9c684
        freevars = (PyObject **) 0x8b9c6a4
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7a87cc8
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8b6372c "t"
        names = (PyObject *) 0xb7aa0f2c
        consts = (PyObject *) 0xb7aa0eb4
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#13 0x46952b7f in PyEval_EvalCodeEx (co=0xb7a87cc8, globals=0xb7a891c4, 
    locals=0x0, args=0x8fdcebc, argcount=2, kws=0x8fdcec4, kwcount=0, 
    defs=0xb7988df8, defcount=1, closure=0x0) at Python/ceval.c:2833
        m = -1214682284
        f = (PyFrameObject *) 0x8b9c54c
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8b9c684
        freevars = (PyObject **) 0x8b9c6a4
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb7996b54
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#14 0x46950d79 in PyEval_EvalFrameEx (f=0x8fdcd6c, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb7b4dbf9 "S"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = WHY_EXCEPTION
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8fdcea4
        freevars = (PyObject **) 0x8fdceb8
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7a87d10
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb7b4db74 "t"
        names = (PyObject *) 0xb7a0a684
        consts = (PyObject *) 0xb7ab7f8c
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#15 0x46952b7f in PyEval_EvalCodeEx (co=0xb7a87d10, globals=0xb7a891c4, 
    locals=0x0, args=0x8fd5c14, argcount=1, kws=0x8fd5c18, kwcount=0, 
    defs=0xb7988798, defcount=2, closure=0x0) at Python/ceval.c:2833
        m = -1214740576
        f = (PyFrameObject *) 0x8fdcd6c
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8fdcea4
        freevars = (PyObject **) 0x8fdceb8
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb79887a0
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#16 0x46950d79 in PyEval_EvalFrameEx (f=0x8fd5abc, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8bc3294 "\001n\001"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 2813344947
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8fd5bf4
        freevars = (PyObject **) 0x8fd5c10
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb799d5c0
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8bc30f4 "t"
        names = (PyObject *) 0xb7994604
        consts = (PyObject *) 0xb79945ac
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#17 0x46951d2f in PyEval_EvalFrameEx (f=0x8fd592c, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8fd5abc
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8bbba94 "}\b"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = WHY_EXCEPTION
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8fd5a64
        freevars = (PyObject **) 0x8fd5a88
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb799d260
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8bbb9ec "|"
        names = (PyObject *) 0xb7990bf4
        consts = (PyObject *) 0xb7992fcc
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#18 0x46951d2f in PyEval_EvalFrameEx (f=0x8fd38cc, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8fd592c
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb799a8e3 "\001d\001"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 149859780
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8fd3a04
        freevars = (PyObject **) 0x8fd3a0c
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb799dcc8
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb799a8d4 "t"
        names = (PyObject *) 0xb79a118c
        consts = (PyObject *) 0xb79a116c
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#19 0x46952b7f in PyEval_EvalCodeEx (co=0xb799dcc8, globals=0xb799c714, 
    locals=0x0, args=0x8ca2a8c, argcount=1, kws=0x8ca2a90, kwcount=1, 
    defs=0xb79a1838, defcount=1, closure=0x0) at Python/ceval.c:2833
        m = -1214638020
        f = (PyFrameObject *) 0x8fd38cc
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8fd3a04
        freevars = (PyObject **) 0x8fd3a0c
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb79a183c
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#20 0x46950d79 in PyEval_EvalFrameEx (f=0x8ca2904, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8c89956 "\001n\001"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 149859820
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8ca2a3c
        freevars = (PyObject **) 0x8ca2a88
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb4cc24a0
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8c895b4 "g"
        names = (PyObject *) 0x8ce815c
        consts = (PyObject *) 0xb79d1cd4
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#21 0x46952b7f in PyEval_EvalCodeEx (co=0xb4cc24a0, globals=0xb4ce535c, 
    locals=0x0, args=0x8c74cc8, argcount=1, kws=0x8c74ccc, kwcount=2, 
    defs=0xb797e998, defcount=2, closure=0x0) at Python/ceval.c:2833
        m = -1214781024
        f = (PyFrameObject *) 0x8ca2904
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8ca2a3c
        freevars = (PyObject **) 0x8ca2a88
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb797e9a0
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#22 0x46950d79 in PyEval_EvalFrameEx (f=0x8c74b7c, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb79bf4ed "\001d\v"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 3080149580
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8c74cb4
        freevars = (PyObject **) 0x8c74cc8
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb4cc2188
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb79bf414 "|"
        names = (PyObject *) 0xb4cad50c
        consts = (PyObject *) 0xb4cc214c
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#23 0x46952b7f in PyEval_EvalCodeEx (co=0xb4cc2188, globals=0xb4ce535c, 
    locals=0x0, args=0x8c54b30, argcount=1, kws=0x8c54b34, kwcount=2, 
    defs=0xb797e9d8, defcount=2, closure=0x0) at Python/ceval.c:2833
        m = -1214780960
        f = (PyFrameObject *) 0x8c74b7c
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8c74cb4
        freevars = (PyObject **) 0x8c74cc8
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb797e9e0
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#24 0x46950d79 in PyEval_EvalFrameEx (f=0x8c549ec, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb4cbdb39 "\001d\003"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 144455116
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8c54b24
        freevars = (PyObject **) 0x8c54b30
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb4c95f50
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb4cbdb24 "|"
        names = (PyObject *) 0xb796baac
        consts = (PyObject *) 0xb4cc1284
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#25 0x46952b7f in PyEval_EvalCodeEx (co=0xb4c95f50, globals=0xb4ce535c, 
    locals=0x0, args=0x8c497d4, argcount=1, kws=0x8c497d8, kwcount=2, 
    defs=0xb797e898, defcount=2, closure=0x0) at Python/ceval.c:2833
        m = -1214781280
        f = (PyFrameObject *) 0x8c549ec
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x8c54b24
        freevars = (PyObject **) 0x8c54b30
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0xb797e8a0
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#26 0x46950d79 in PyEval_EvalFrameEx (f=0x8c4966c, throwflag=0)
    at Python/ceval.c:3662
        a = <value optimized out>
        b = <value optimized out>
        i = <value optimized out>
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8bc84a3 "\001d"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = WHY_EXCEPTION
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8c497a4
        freevars = (PyObject **) 0x8c497d4
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb79b29f8
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8bc7a54 "|"
        names = (PyObject *) 0x8b3f38c
        consts = (PyObject *) 0xb7a6fdf4
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#27 0x46951d2f in PyEval_EvalFrameEx (f=0x8c96aac, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8c4966c
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8a2c4ae "\001t\021"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 147567752
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8c96be4
        freevars = (PyObject **) 0x8c96c00
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7f07e30
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8a2c34c "|\001"
        names = (PyObject *) 0xb7f6147c
        consts = (PyObject *) 0xb7f4e4fc
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#28 0x46951d2f in PyEval_EvalFrameEx (f=0x8cab244, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8c96aac
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0xb7f13784 "\001q\003"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = WHY_RETURN
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x8cab37c
        freevars = (PyObject **) 0x8cab380
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7f07e78
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0xb7f1376c "x\031"
        names = (PyObject *) 0xb7ced84c
        consts = (PyObject *) 0xb7f14e4c
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#29 0x46951d2f in PyEval_EvalFrameEx (f=0x89fca94, throwflag=0)
    at Python/ceval.c:3652
        f = (PyFrameObject *) 0x8cab244
        tstate = (PyThreadState *) 0x89c11b0
        stack = (PyObject **) 0x6
        i = 3245
        stack_pointer = <value optimized out>
        next_instr = (unsigned char *) 0x8a3545e "\001Wn\031\002\004ee"
        opcode = <value optimized out>
        oparg = <value optimized out>
        why = 144818840
        err = 0
        x = <value optimized out>
        v = <value optimized out>
        w = <value optimized out>
        u = <value optimized out>
        t = <value optimized out>
        stream = <value optimized out>
        fastlocals = (PyObject **) 0x89fcbcc
        freevars = (PyObject **) 0x89fcbcc
        retval = (PyObject *) 0x0
        tstate = (PyThreadState *) 0x89c11b0
        co = (PyCodeObject *) 0xb7f170b0
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = (unsigned char *) 0x8a34dcc "d"
        names = (PyObject *) 0x8a289dc
        consts = (PyObject *) 0x8a2c174
        __PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#30 0x46952b7f in PyEval_EvalCodeEx (co=0xb7f170b0, globals=0xb7f55a44, 
    locals=0xb7f55a44, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2833
        m = 0
        f = (PyFrameObject *) 0x89fca94
        retval = <value optimized out>
        fastlocals = (PyObject **) 0x89fcbcc
        freevars = (PyObject **) 0x89fcbcc
        tstate = (PyThreadState *) 0x89c11b0
        x = <value optimized out>
        u = (PyObject *) 0x0
        __PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#31 0x46952c03 in PyEval_EvalCode (co=0xb7f170b0, globals=0xb7f55a44, 
    locals=0xb7f55a44) at Python/ceval.c:494
No locals.
#32 0x4696c496 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7f55a44, locals=0xb7f55a44, 
    flags=0xbf833b38, arena=0x89dc240) at Python/pythonrun.c:1264
        co = (PyCodeObject *) 0xb7f170b0
        v = (PyObject *) 0x0
#33 0x4696c54e in PyRun_FileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", start=257, 
    globals=0xb7f55a44, locals=0xb7f55a44, closeit=1, flags=0xbf833b38)
    at Python/pythonrun.c:1250
        ret = <value optimized out>
        mod = (mod_ty) 0x8a26030
        arena = (PyArena *) 0x89dc240
#34 0x4696dc08 in PyRun_SimpleFileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", closeit=1, 
    flags=0xbf833b38) at Python/pythonrun.c:870
        buf = "# "
        m = <value optimized out>
        d = (PyObject *) 0xb7f55a44
        v = <value optimized out>
        ext = 0xbf834537 "n.py"
#35 0x4696e36a in PyRun_AnyFileExFlags (fp=0x89c1008, 
    filename=0xbf834520 "/usr/src/freevo/src/main.py", closeit=1, 
    flags=0xbf833b38) at Python/pythonrun.c:689
        err = <value optimized out>
#36 0x46977dfd in Py_Main (argc=1, argv=0xbf833c04) at Modules/main.c:496
        v = <value optimized out>
        c = <value optimized out>
        sts = <value optimized out>
        command = 0x0
        filename = <value optimized out>
        module = 0x0
        fp = (FILE *) 0x89c1008
        p = <value optimized out>
        inspect = 0
        unbuffered = 0
        skipfirstline = 0
        stdin_is_interactive = 1
        help = 0
        version = 0
        saw_inspect_flag = 0
        saw_unbuffered_flag = 0
        cf = {cf_flags = 0}
#37 0x08048582 in main (argc=Cannot access memory at address 0xcad
) at Modules/python.c:23
No locals.
Comment 1 Christopher Stone 2007-01-01 16:16:22 EST
I'm going to need some way to reproduce this.  I cannot find any "freevo"
packages in the standard repositories, so this is no good to me.  Can you come
up with a minimal test case?
Comment 2 Pierre Ossman 2007-01-01 16:53:15 EST
I need to figure out where in freevo it crashes first. Is it possible to get a
python traceback when it does a crash like this?
Comment 3 Christopher Stone 2007-01-01 20:38:57 EST
This looks like a python bug and not a pygame bug.
Comment 4 Christopher Stone 2007-01-01 20:54:06 EST
(In reply to comment #2)
> I need to figure out where in freevo it crashes first. Is it possible to get a
> python traceback when it does a crash like this?

Well actually I'm not sure where this is crashing, python or pygame.  You can
usually get traceback information by installing the debuginfo packages. 
However, this could just be something like freevo is not in sync with core
repositories.  This is why I need something to show this is a real bug, not just
some packaging mistake by whomever built your copy of freevo.
Comment 5 Pierre Ossman 2007-01-02 00:54:11 EST
The debuginfo packages just give me symbol information for the regular C stack
(which is included in this bug report). What I'd like is some clue as to where
in the Python code it goes poof.

I'm not familiar with pygame, but it would seem strange that a bug in the Python
code should be able to trigger a crash inside the C code, and not just a Python
exception.
Comment 6 Christopher Stone 2007-01-02 11:47:07 EST
I ran a program which uses pygame and ran kill -SIGABRT on it and nothing
crashed.  Therefore I have to assume this is a problem with your "freevo"
package which is an unofficial package not found in any repositories.  Therefore
unless you can come up with a difinitive way to prove this is actually a problem
with pygame, I will close this bug as WONTFIX.
Comment 7 Pierre Ossman 2007-01-16 16:29:23 EST
Terribly sorry about taking so long to report back...

I've done some more digging and I pinpointed the problem to a bad free in one of
the C based modules of freevo.

Closing this bug as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.